import request from '@/utils/request';

/**
 *分页查询放行单记录
 */
export async function checklistrecordPage(data) {
  const res = await request.post('/mes/checklistrecord/page', data);
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}

// /mes/checklistrecord/save 保存
export async function checklistrecordSave(data) {
  const res = await request.post('/mes/checklistrecord/save', data);
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}

// /mes/checklistrecord/update 修改
export async function checklistrecordUpdate(data) {
  const res = await request.put('/mes/checklistrecord/update', data);
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}

// /mes/checklistrecord/delete 删除
export async function checklistrecordDelete(data) {
  const res = await request.delete('/mes/checklistrecord/logicDeleteByIds', {
    data
  });
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}

// /mes/checklistrecord/getById/{id} 根据ID查询
export async function checklistrecordGetById(id) {
  const res = await request.get(`/mes/checklistrecord/getById/${id}`);
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}

// /mes/checklistrecord/kitCheck/{id}
export async function checklistrecordKitCheck(id) {
  const res = await request.get(`/mes/checklistrecord/kitCheck/${id}`);
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}
